function T_allocation_3DOF = calculate_allocation_matrix_3DOF(bX, bY, BX, BY, Stheta, Ctheta)
% This function sets up the thruster allocation matrix in 3DOF based on the
% configuration of the thrusters and the actual global link angles


global l N e

T_allocation_3DOF = [bX'; bY'; l*e'*Stheta*N*BX' - l*e'*Ctheta*N*BY'];
