global t_vector p_CM_desired p_CM_dot_desired heading_desired heading_dot_desired

option = 3; %Option 1: Wave. Option 2: Line. Optin 3: Wave, but same every time.

if option == 1
    fwdVel_ref_local = [0.2; 0];  % m/s

    maxHeading = 30;
    pp_x = 0:8:40;
    pp_y = -maxHeading*(pi/180) + 2*maxHeading*(pi/180)*rand(size(pp_x));
    pp = spline(pp_x,pp_y);

    h = 0.4;
    t_vector = 0:h:40; 
    RotMtrx = @(heading) [cos(heading) -sin(heading); sin(heading) cos(heading)];

    heading_desired = ppval(pp,t_vector);
%     heading_dot_desired = [0 diff(heading_desired)/h];
    p_CM_dot_desired = zeros(2,size(heading_desired,2));

    for i = 1:size(heading_desired,2)
        p_CM_dot_desired(:,i) = RotMtrx(heading_desired(i))*fwdVel_ref_local;
    end

    pX = cumtrapz(t_vector,p_CM_dot_desired(1,:));
    pY = cumtrapz(t_vector,p_CM_dot_desired(2,:));
    
    p_CM_desired = [pX; pY];
end


if option == 2
    pp_CM_x = 0:1:5;
%     pp_CM_y = [0 -2 0 2 0 3];
    pp_CM_y = [0 0 0 0 0 0];

    h = 0.1;
    pX = 0:h:20;
    pY = interp1(pp_CM_x,pp_CM_y,pX,'spline');
    step = 150/(length(pX)-1);
    t_vector = 0:step:150;
    pX_dot = [0 diff(pX)/step];
    pY_dot = [0 diff(pY)/step];

    p_CM_desired = [pX; pY];
    p_CM_dot_desired = [pX_dot; pY_dot];

    %heading_desired = [0 atan(diff(pY)./diff(pX))];
    % heading_dot_desired = zeros(1,length(t_vector));
end

if option == 3
    fwdVel_ref_local = [0.2; 0];  % m/s

    maxHeading = 30;
    pp_x = 0:8:40;
    y = [0 1 0 1 0 1];
    pp_y = -maxHeading*(pi/180) + 2*maxHeading*(pi/180)*sin(y);
    pp = spline(pp_x,pp_y);

    h = 0.4;
    t_vector = 0:h:40; %Original: 40
    RotMtrx = @(heading) [cos(heading) -sin(heading); sin(heading) cos(heading)];

    heading_desired = ppval(pp,t_vector);
%     heading_dot_desired = [0 diff(heading_desired)/h];
    p_CM_dot_desired = zeros(2,size(heading_desired,2));

    for i = 1:size(heading_desired,2)
        p_CM_dot_desired(:,i) = RotMtrx(heading_desired(i))*fwdVel_ref_local;
    end

    pX = cumtrapz(t_vector,p_CM_dot_desired(1,:));
    pY = cumtrapz(t_vector,p_CM_dot_desired(2,:));
    
    p_CM_desired = [pX; pY];
end